#pragma once

#include "database.hh"
#include <QTableWidget>

class OrderWidget : public QTableWidget
{
    Q_OBJECT

public:
    explicit OrderWidget(QWidget* parent = nullptr);
    ~OrderWidget();

    void displayOrders(
        const QList<OrderRecord>& orders,
        const QMap<int, QString>& currencies,
        const QMap<int, QString>& timeFrames);
};
